Project/src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;


  public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdmin,
      Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdmin;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }



}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;


/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserAddServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      HttpSession session = request.getSession();
      if (session.getAttribute("userInfo") == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      String loginId = request.getParameter("login-id");
      request.setAttribute("loginId", loginId);
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      request.setCharacterEncoding("UTF-8");
      String inputLoginId = request.getParameter("user-loginid");
      String password = request.getParameter("password");
      String name = request.getParameter("user-name");
      String birthDate = request.getParameter("birth-date");
      String confirmPassword = request.getParameter("password-confirm");
      

      UserDao userDao = new UserDao();
      List<User> userList = userDao.findAll();
      boolean sameLoginId = false;
      for (User user : userList) {
        if (inputLoginId.equals(user.getLoginId())) {
          sameLoginId = true;
        }
      }



      if (inputLoginId.equals("") || password.equals("") || name.equals("") || birthDate.equals("")
          || confirmPassword.equals("") || !(password.equals(confirmPassword)) || sameLoginId) {
        request.setAttribute("errMsg", "入力された内容は正しくありません");
        request.setAttribute("inputLoginId", inputLoginId);
        request.setAttribute("name", name);
        request.setAttribute("birthDate", birthDate);
        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
        dispatcher.forward(request, response);
        return;
      }


      password = PasswordEncorder.encordPassword(password);

      userDao.addUser(inputLoginId, password, name, birthDate);
      response.sendRedirect("UserListServlet");

	}

}

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      HttpSession session = request.getSession();
      if (session.getAttribute("userInfo") == null) {
        response.sendRedirect("LoginServlet");
        return;
      }
      String loginId = request.getParameter("login-id");
      String id = request.getParameter("id");


      request.setAttribute("loginId", loginId);
      request.setAttribute("id", id);

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
      dispatcher.forward(request, response);


	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      request.setCharacterEncoding("UTF-8");

      String deleteId = request.getParameter("deleteId");
      int userId = Integer.valueOf(deleteId);


      UserDao userDao = new UserDao();



      userDao.deleteUser(userId);

      response.sendRedirect("UserListServlet");
	}
}

Project/src/main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      HttpSession session = request.getSession();
      if (session.getAttribute("userInfo") == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      String id = request.getParameter("id");

      int userId = Integer.valueOf(id);
      UserDao userDao = new UserDao();
      User user = userDao.findById(userId);
      request.setAttribute("userDetail", user);

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
      dispatcher.forward(request, response);



	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserListServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	  
      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("userInfo");

      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;

      }

      // ログインセッションがない場合ログイン画面にリダイレクト
      UserDao userDao = new UserDao();
      List<User> userList = userDao.findAll();

      request.setAttribute("userList", userList);

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);
      return;
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      request.setCharacterEncoding("UTF-8");
      String loginId = request.getParameter("user-loginid");
      String userName = request.getParameter("user-name");
      String birthDate = request.getParameter("date-start");
      String dateEnd = request.getParameter("date-end");
      request.setAttribute("loginId", loginId);
      request.setAttribute("name", userName);
      request.setAttribute("dateStart", birthDate);
      request.setAttribute("dateEnd", dateEnd);


      UserDao userDao = new UserDao();
      List<User> userList = userDao.serch(loginId, userName, birthDate, dateEnd);
      request.setAttribute("userList", userList);



      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);
      return;

	}

}

Project/src/main/java/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class userUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserUpdateServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      HttpSession session = request.getSession();
      User userInfo = (User) session.getAttribute("userInfo");
      if (userInfo == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      String id = request.getParameter("id");
      int userId = Integer.valueOf(id);
      UserDao userDao = new UserDao();
      User user = userDao.findById(userId);
      request.setAttribute("userUpdate", user);

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
      dispatcher.forward(request, response);


	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      request.setCharacterEncoding("UTF-8");
      String id = request.getParameter("user-id");
      int userId = Integer.valueOf(id);
      String loginId = request.getParameter("login-id");
      String password = request.getParameter("password");
      String confirmPassword = request.getParameter("password-confirm");
      String name = request.getParameter("user-name");
      String birthDate = request.getParameter("birth-date");
      
      if (birthDate.equals("")) {
        User user = new User(userId, loginId, name, null, password, false, null, null);
        request.setAttribute("userUpdate", user);
        request.setAttribute("errMsg", "入力された内容は正しくありません");


        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
        dispatcher.forward(request, response);
        return;
      }


      else if (name.equals("") || !(password.equals(confirmPassword))) {
        Date birth = Date.valueOf(birthDate);

        User user = new User(userId, loginId, name, birth, password, false, null, null);
          request.setAttribute("userUpdate", user);

          request.setAttribute("errMsg", "入力された内容は正しくありません");
          

          RequestDispatcher dispatcher =
              request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
          dispatcher.forward(request, response);
          return;

      }

      password = PasswordEncorder.encordPassword(password);
      UserDao userDao = new UserDao();
      userDao.updateUser(userId, password, name, birthDate);

      response.sendRedirect("UserListServlet");
	}

}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
	

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<c:if test="${errMsg != null }">
				<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
				<form action="UserAddServlet" method="post">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${inputLoginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${name}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${birthDate}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
									</form>	
			</div>
		</div>
	</div>




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID： ${loginId}</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<div class="row">
				
			
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					<div class="col">
					<form action ="UserDeleteServlet" method ="post">
					<button type="submit" class="btn btn-primary btn-block">はい</button>
					<input type="hidden" id="deleteId" name ="deleteId" value="${id}">
					</form>
					
						<!--  a href="UserDeleteServlet" class="btn btn-primary btn-block">はい</a>-->
					</div>
				
				</div>
				
			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ詳細 画面</title>
<!-- BootstrapのCSS読み込み -->
<link href="css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>

	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ情報詳細参照</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">

				<div class="row">
					<label for="loginId" class="col-3 font-weight-bold">ログインID</label>
					<div class="col-9">
						<p>${userDetail.loginId}</p>
					</div>
				</div>

				<div class="row">
					<label for="userName" class="col-3 font-weight-bold">ユーザ名</label>
					<div class="col-9">
						<p>${userDetail.name}</p>
					</div>
				</div>

				<div class="row">
					<label for="birthDate" class="col-3 font-weight-bold">生年月日</label>
					<div class="col-9">
					   <fmt:formatDate value="${userDetail.birthDate}" pattern="yyyy年MM月dd日"/>
					</div>
				</div>

				<div class="row">
					<label for="createDate" class="col-3 font-weight-bold">新規登録日時</label>
					<div class="col-9">
					<fmt:formatDate value="${userDetail.createDate}" pattern="yyyy年MM月dd日 H:mm"/>
						
					</div>
				</div>

				<div class="row">
					<label for="updateDate" class="col-3 font-weight-bold">更新日時</label>
					<div class="col-9">
					<fmt:formatDate value="${userDetail.updateDate}" pattern="yyyy年MM月dd日 H:mm"/>
					</div>
				</div>


				<div class="col-xs-4">
					<a href="UserListServlet">戻る</a>
				</div>
			</div>


		</div>
	</div>
</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>


<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ一覧画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		<div class="row">
			<div class="col">

				<div class="card">
					<div class="card-body">
					<form action ="UserListServlet" method="post">

						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control" id="loginId" value="${loginId}">
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control" id="userName" value="${name}">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate" class="form-control"
											value="${dateStart}">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate" class="form-control"
											value="${dateEnd}">
									</div>
								</div>
							</div>
						</div>
					

						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
						</div>
					</form>	

					</div>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="user" items="${userList}">
						<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>
							<!-- TODO 未実装；ログインボタンの表示制御を行う -->
							<td class="float-right"><a class="btn btn-primary"
								href="UserDetailServlet?id=${user.id}">詳細</a> 
								<c:if test="${userInfo.id eq user.id or userInfo.admin}"><a
								class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
								</c:if>
								<c:if test="${userInfo.admin}">
									<a class="btn btn-danger"
										href="UserDeleteServlet?login-id=${user.loginId}&id=${user.id}">削除</a>
								</c:if></td>

						</tr>
					</c:forEach>
					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>